Get a backlink profile summary for a domain
curl --request GET \
--url https://api.scoutlayer.io/v1/website/backlinks/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.io/v1/website/backlinks/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.io/v1/website/backlinks/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"target": "<string>",
"rank": 123,
"spamScore": 123,
"backlinks": 123,
"brokenBacklinks": 123,
"referringDomains": 123,
"referringMainDomains": 123,
"referringDomainsNofollow": 123,
"referringIps": 123,
"referringPages": 123,
"crawledPages": 123,
"internalLinksCount": 123,
"externalLinksCount": 123,
"firstSeenAt": "<string>",
"info": {
"server": "<string>",
"cms": "<string>",
"platformTypes": [],
"country": "<string>",
"ipAddress": "<string>"
},
"breakdown": {
"byTld": {},
"byLinkType": {
"anchor": 123,
"image": 123,
"redirect": 123,
"canonical": 123,
"alternate": 123,
"meta": 123,
"other": 123
},
"byAttribute": {},
"byCountry": {}
},
"checkedAt": "<string>"
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Backlinks
Backlinks Summary API
Referring domain/backlink counts, spam score, and a link-profile breakdown for a domain.
GET
/
v1
/
website
/
backlinks
/
summary
Get a backlink profile summary for a domain
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Query Parameters
Minimum string length:
1Example:
"shopify.com"
Response
Get a backlink profile summary for a domain
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I